VLCKit

Properties | List of all members
VLCMediaLoudness Class Reference

`#import <VLCMediaPlayer.h>`

Inheritance diagram for VLCMediaLoudness:

## Properties
double | loudnessValue
int64_t | date

## Detailed Description

VLCMediaLoudness describes the loudness of a certain interval of decoded media data

## Property Documentation

## ◆ date

- (int64_t) date
| read atomic assign

returns the absolute date of the measurement analog to mach_absolute_time() It is most likely in the future (0 to 2seconds) depending on the audio output buffer size.

## ◆ loudnessValue

- (double) loudnessValue
| read atomic assign

Returns the momentary loudness in LUFS / dBFS for the last 400ms

Returns
  montary loudness or 0 if there is no loudness yet

The documentation for this class was generated from the following file:

- Headers/Public/VLCMediaPlayer.h